Bug 12399 - boehm-gc fails: libtool unable to infer tagged configuration
Summary: boehm-gc fails: libtool unable to infer tagged configuration
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: other (show other bugs)
Version: 3.3.1
: P2 normal
Target Milestone: 3.3.3
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-25 11:00 UTC by Jason Catena
Modified: 2005-07-23 22:49 UTC (History)
1 user (show)

See Also:
Host: sparc-sun-solaris2.6
Target: sparc64-sun-solaris2.9
Build: sparc-sun-solaris2.6
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Catena 2003-09-25 11:00:55 UTC
I was able to successfully compile when I configured with --enable-shared.
I want to make gcc's files as static libraries, so I switched to
--disable-shared. After I made sure I was compiling with "CONFIG_SHELL=ksh", I
got this error.

If you need any more information, please let me know.

I'm behind a firewall, so I'm not sure I have convenient access to CVS (unless
it lets you set a proxy). So a patch in the record would be great.

configure command:

/mot/proj/buildihlr/gnu/gcc-3.3.1/configure
--prefix=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static
--target=sparc64-sun-solaris2.9 --program-prefix=sparc64-sun-solaris2.9-static-
--with-gnu-ar --with-gnu-as --with-gnu-ld --with-gnu-nm --with-gnu-objdump
--with-as=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/bin/sparc64-sun-solaris2.9-static-as
--with-ar=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9/-static/bin/sparc64-sun-solaris2.9-static-ar
--with-ld=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/bin/sparc64-sun-solaris2.9-static-ld
--with-nm=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/bin/sparc64-sun-solaris2.9-static-nm
--with-objdump=/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/bin/sparc64-sun-solaris2.9-static-objdump
--enable-threads=posix --with-sysroot=/mot/proj/buildihlr/sparc64-sun-solaris2.9
--with-headers=/vob/mirs_common/dap_ccp/hdr/vendor/solaris9/include
--with-libs=/vob/mirs_common/dap_ccp/libs/solaris9/vendor/lib --enable-multilib
--enable-version-specific-runtime-libs --enable-c99 --disable-shared

compilation error:

make[2]: Entering directory
`/mot/proj/buildihlr/gnu/sparc64-sun-solaris2.9-static/gcc-3.3.1/sparc64-sun-solaris2.9/boehm-gc'
/bin/sh ./libtool --mode=compile
/mot/proj/buildihlr/gnu/sparc64-sun-solaris2.9-static/gcc-3.3.1/gcc/xgcc
-B/mot/proj/buildihlr/gnu/sparc64-sun-solaris2.9-static/gcc-3.3.1/gcc/
-B/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/sparc64-sun-solaris2.9/bin/
-B/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/sparc64-sun-solaris2.9/lib/
-isystem
/mot/proj/buildihlr/xc/sparc-sun-solaris2.6/sparc64-sun-solaris2.9-static/sparc64-sun-solaris2.9/include
-DGC_SOLARIS_THREADS=1 -DGC_SOLARIS_PTHREADS=1 -DSILENT=1 -DNO_SIGNALS=1
-DNO_EXECUTE_PERMISSION=1 -DALL_INTERIOR_POINTERS=1 -DJAVA_FINALIZATION=1
-DGC_GCJ_SUPPORT=1 -DATOMIC_UNCOLLECTABLE=1 -DNO_SIGSET=1 -DNO_DEBUGGING=1  -I.
-I/mot/proj/buildihlr/gnu/gcc-3.3.1/boehm-gc 
-I/mot/proj/buildihlr/gnu/gcc-3.3.1/boehm-gc/include   -I././targ-include
-I/mot/proj/buildihlr/gnu/gcc-3.3.1/boehm-gc/./libc/include -O2 -g -O2 -c
/mot/proj/buildihlr/gnu/gcc-3.3.1/boehm-gc/allchblk.c
libtool: compile: unable to infer tagged configuration
libtool: compile: specify a tag with `--tag'
make[2]: *** [allchblk.lo] Error 1
make[2]: Leaving directory
`/mot/proj/buildihlr/gnu/sparc64-sun-solaris2.9-static/gcc-3.3.1/sparc64-sun-solaris2.9/boehm-gc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory
`/mot/proj/buildihlr/gnu/sparc64-sun-solaris2.9-static/gcc-3.3.1/sparc64-sun-solaris2.9/boehm-gc'
make: *** [all-target-boehm-gc] Error 2

Thanks much for your help!
Comment 1 Jason Catena 2003-09-25 17:56:30 UTC
Lame hack: supplying the option --tag=C allowed libtool to proceed. It said it
did not recognize the tag C, but compilation completed anyway.
Comment 2 Andrew Pinski 2003-09-27 06:15:49 UTC
sysroot is not supported in 3.3.1, can you try a mainline (3.4) snapshot?  You can get one 
from ftp://gcc.gnu.org/pub/gcc/snapshots.
Comment 3 Andrew Pinski 2003-11-07 17:37:03 UTC
Some how related to bug 5167.
Comment 4 Andrew Pinski 2003-12-17 04:16:41 UTC
sys-root is now supported in 3.3.3, so closing as fixed.